<!DOCTYPE html>
<html>
<head>
<link rel="stylesheet" href="dbstyle.css">

<title>Add Student</title>
</head>

<body>
<div id="wrapper">
<header>
<h2>Insert a student:</h2>
<form action="<?php $_PHP_SELF ?>" method="get">
  <label>ID #:</label>
  <input type="text" name="id" placeholder="12345" required pattern="[0-9][0-9][0-9][0-9][0-9]">

  <label>Student name:</label>
  <input type="text" name="name" placeholder="Doe" required>

  <label>Department:</label>
  <select name="dept" required>
    <option value="Comp. Sci.">Computer Science</option>
    <option value="Physics">Physics</option>
  </select>

  <label>Credits:</label>
  <input type="number" name="credits" value="0" min="0" max="150" required>

  <input type="submit">
</form>
<header>

<?php
   mb_internal_encoding('UTF-8');
   mb_http_output('UTF-8');

   if($_GET["id"] !== NULL && $_GET["id"] != "" &&
      $_GET["name"] !== NULL && $_GET["name"] != "" &&
      $_GET["dept"] !== NULL && $_GET["dept"] != "" &&
      $_GET["credits"] !== NULL)
   {
       include 'sunapeedb.php';
       $db = new SunapeeDB();
       $db->connect();

       if(!$db->insert_student($_GET["id"], $_GET["name"], $_GET["dept"], $_GET["credits"]))
       {
           print("Could not add student");
       } else { print("One student added."); }

       $db->disconnect();
   } else { print("Please provide student information."); }
?>
</div>
</body>
</html>
